/**
 * XActMoodDocumentObservation.java
 *
 * File generated from the medication::XActMoodDocumentObservation uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActMoodDocumentObservation.
 *
 * 
 */

@XmlType(name = "XActMoodDocumentObservation")
@XmlEnum
@XmlRootElement(name = "XActMoodDocumentObservation")
public enum XActMoodDocumentObservation {
	@XmlEnumValue("INT")
	INT("INT"),
	@XmlEnumValue("DEF")
	DEF("DEF"),
	@XmlEnumValue("EVN")
	EVN("EVN"),
	@XmlEnumValue("GOL")
	GOL("GOL"),
	@XmlEnumValue("PRMS")
	PRMS("PRMS"),
	@XmlEnumValue("PRP")
	PRP("PRP"),
	@XmlEnumValue("RQO")
	RQO("RQO");
	
	private final String value;

    XActMoodDocumentObservation(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XActMoodDocumentObservation fromValue(String v) {
        for (XActMoodDocumentObservation c: XActMoodDocumentObservation.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}